> For the complete documentation index, see [llms.txt](https://docs.devolutions.net/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.devolutions.net/powershell-universal/da/powershell-kommandoer/set-udelement.md).

# Set-UDElement

Set-UDElement opdaterer egenskaberne eller det gengivne indhold af et eksisterende UI-element på en dashboardside i PowerShell Universal.

### Synopsis

Angiv egenskaber for et element.

### Syntaks

```powershell
Set-UDElement [-Id] <String> [[-Properties] <Hashtable>] [-Broadcast] [[-Content] <ScriptBlock>] [<CommonParameters>]
```

### Beskrivelse

Angiv egenskaberne for et element.

### Parametre

#### -Id

Det element, som egenskaber skal angives for.

```
Required?                    true
Position?                    1
Default value
Accept pipeline input?       false
Aliases
Accept wildcard characters?  false
```

#### -Properties

De egenskaber, der skal angives i form af en hashtable.

```
Required?                    false
Position?                    2
Default value
Accept pipeline input?       false
Aliases
Accept wildcard characters?  false
```

#### -Broadcast

Om dette element skal opdateres på alle tilsluttede klienter.

```
Required?                    false
Position?                    named
Default value                False
Accept pipeline input?       false
Aliases
Accept wildcard characters?  false
```

#### -Content

Indhold, der skal angives i elementet.

```
Required?                    false
Position?                    3
Default value
Accept pipeline input?       false
Aliases
Accept wildcard characters?  false
```

#### Fælles parametre

Denne cmdlet understøtter de fælles parametre: Verbose, Debug, ErrorAction, ErrorVariable, WarningAction, WarningVariable, OutBuffer, PipelineVariable og OutVariable. Se [about\_CommonParameters](https://go.microsoft.com/fwlink/?LinkID=113216) for at få flere oplysninger.

### Output

### Eksempler

#### Eksempel 1: egenskaber

```powershell
New-UDButton -Id 'setElement1' -Text 'Disable Me' -OnClick {
   Set-UDElement -Id 'setElement1' -Properties @{
       'disabled' = $true
   }
}
```

Deaktiverer en knap.

#### Eksempel 2: Broadcast

```powershell
New-UDButton -Id 'setElement2' -Text 'Disable Me' -OnClick {
   Set-UDElement -Id 'setElement2' -Properties @{
       'disabled' = $true
   } -Broadcast
}
```

Deaktiverer en knap og udsender den til alle tilsluttede dashboards.

#### Eksempel 3: indhold

```powershell
New-UDElement -Tag 'div' -Id 'setElement3' -Content {
    New-UDTypography -Text 'Hello World'
}
New-UDButton -Text 'Click Me' -OnClick {
    Set-UDElement -Id 'setElement3' -Content {
        New-UDTypography -Text 'Goodbye World'
    }
}
```

Angiver indholdet af et element.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.devolutions.net/powershell-universal/da/powershell-kommandoer/set-udelement.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
